Bug 1877873 - Review Request: python-soco - Python library to control Sonos speakers
Summary: Review Request: python-soco - Python library to control Sonos speakers
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2020-09-10 16:08 UTC by Fabian Affolter
Modified: 2020-09-21 00:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-21 00:00:52 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-09-10 16:08:12 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/python-soco.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/python-soco-0.19-1.fc32.src.rpm

Project URL: https://github.com/SoCo/SoCo

Description:
SoCo (Sonos Controller) is a Python project that allows you to programmatically
control Sonos speakers.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=51149215

rpmlint output:
$ rpmlint python-soco-0.19-1.fc32.src.rpm 
python-soco.src: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint python3-soco-0.19-1.fc32.noarch.rpm 
python3-soco.noarch: W: spelling-error %description -l en_US programmatically -> pro grammatically, pro-grammatically, programmatic ally
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-09-10 22:10:40 UTC
 - Latest version packaged
 - License ok
 - Builds in mock
 - Tests pass
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Fabian Affolter 2020-09-11 08:34:25 UTC
Thanks for the review.

Comment 3 Gwyn Ciesla 2020-09-11 13:22:32 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-soco

Comment 4 Fedora Update System 2020-09-13 10:43:30 UTC
FEDORA-2020-8a70917009 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-8a70917009

Comment 5 Fedora Update System 2020-09-13 14:17:13 UTC
FEDORA-2020-8a70917009 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-8a70917009 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8a70917009

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2020-09-21 00:00:52 UTC
FEDORA-2020-8a70917009 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.